"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const ui_notifications_notification_1 = require("@teambit/ui.notifications.notification");
const ui_notifications_notification_context_1 = require("@teambit/ui.notifications.notification-context");
const base_ui_theme_dark_theme_1 = require("@teambit/base-ui.theme.dark-theme");
const notification_center_module_scss_1 = __importDefault(require("./notification-center.module.scss"));
const dismiss_button_1 = require("./dismiss-button");
function NotificationCenter(_a) {
    var { notifications } = _a, rest = __rest(_a, ["notifications"]);
    const [isDismissing, setDismissing] = react_1.useState(false);
    const notificationsStore = react_1.useContext(ui_notifications_notification_context_1.NotificationContext);
    const handleDismiss = react_1.useCallback(() => {
        setDismissing(true);
        setTimeout(() => {
            notificationsStore.clear();
            setDismissing(false);
        }, +notification_center_module_scss_1.default.animationTime);
    }, []);
    const showDismiss = !isDismissing && !!notifications && notifications.length > 1;
    return (react_1.default.createElement("div", Object.assign({}, rest, { className: classnames_1.default(notification_center_module_scss_1.default.notificationCenter, isDismissing && notification_center_module_scss_1.default.dismissing, base_ui_theme_dark_theme_1.darkMode) }),
        react_1.default.createElement("div", { className: notification_center_module_scss_1.default.notificationsContainer }, notifications === null || notifications === void 0 ? void 0 : notifications.reverse().map((x) => (react_1.default.createElement(ui_notifications_notification_1.Notification, { key: x.id, entry: x })))),
        react_1.default.createElement("div", { className: notification_center_module_scss_1.default.actions },
            react_1.default.createElement(dismiss_button_1.DismissButton, { visible: showDismiss, importance: "normal", className: notification_center_module_scss_1.default.dismissAll, onClick: handleDismiss }))));
}
exports.NotificationCenter = NotificationCenter;
//# sourceMappingURL=notification-center.js.map